Package Details: freeplane 1.7.9-1

Git Clone URL: https://aur.archlinux.org/freeplane.git (read-only)
Package Base: freeplane
Description: A Java mindmapping tool
Upstream URL: http://freeplane.sourceforge.net
Licenses: GPL
Submitter: scrawler
Maintainer: artafinde
Last Packager: artafinde
Votes: 133
Popularity: 1.022599
First Submitted: 2010-03-10 03:02
Last Updated: 2019-06-25 07:37

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 Next › Last »

aurelieng commented on 2012-10-12 11:05

Freeplane doesn't start, stuck with the following output:

[quote]
STDOUT: Loaded properties from bundle://6.0:0/org/freeplane/plugin/formula/defaults.properties
STDOUT: Framework launched
STDERR: Exception in thread "AWT-EventQueue-0"
STDERR: java.lang.NullPointerException
STDERR: at org.freeplane.main.application.FreeplaneStarter.loadMaps(FreeplaneStarter.java:258)
STDERR: at org.freeplane.main.application.FreeplaneStarter.access$000(FreeplaneStarter.java:77)
STDERR: at org.freeplane.main.application.FreeplaneStarter$1.run(FreeplaneStarter.java:213)
STDERR: at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:251)
STDERR: at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:721)
STDERR: at java.awt.EventQueue.access$200(EventQueue.java:103)
STDERR: at java.awt.EventQueue$3.run(EventQueue.java:682)
STDERR: at java.awt.EventQueue$3.run(EventQueue.java:680)
STDERR: at java.security.AccessController.doPrivileged(Native Method)
STDERR: at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
STDERR: at java.awt.EventQueue.dispatchEvent(EventQueue.java:691)
STDERR: at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:244)
STDERR: at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:163)
STDERR: at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:151)
STDERR: at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:147)
STDERR: at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:139)
STDERR: at java.awt.EventDispatchThread.run(EventDispatchThread.java:97)^C[aurelien@m6400-arch ~]$ java -version
[quote]

Here is the output of [tt]java --version[/tt]

[quote]
java version "1.7.0_07"
OpenJDK Runtime Environment (IcedTea7 2.3.2) (ArchLinux build 7.u7_2.3.2-2-x86_64)
OpenJDK 64-Bit Server VM (build 23.2-b09, mixed mode)
[/quote]


And that of [tt]echo $JAVA_HOME[/tt]
[quote]
/usr/lib/jvm/java-7-openjdk
[/quote]

Any idea ?

jsteel commented on 2012-10-11 18:39

Can you help with this? https://bbs.archlinux.org/viewtopic.php?id=150469

artafinde commented on 2012-09-16 14:58

Updated with latest version 1.2.18

heliumhgy commented on 2012-08-24 11:51

New stable version is available now, please update.

Anonymous comment on 2012-08-24 06:48

Version 1.2.18 is out

Anonymous comment on 2012-08-13 03:58

@Herbst: comment line 23 in PKGBUILD:
#install -Dm644 ${whatdir}/resources/accelerators/* ${pkgdir}/usr/share/freeplane/resources/accelerators

Herbstfreud commented on 2012-07-20 13:13

Is there a way to make the PKGBUILD for the beta version of this program?
Just changing pkgver, whatdir and md5sums didn't work for me at freeplane 1.2.16_04.

altkrall commented on 2012-03-22 20:36

Bug:
you have to quote $@ in freeplane.run. Elsewise paths which contain a whitespace don't load.

altkrall commented on 2012-03-22 13:53

add %U in /usr/share/applications/freeplane.desktop after Exec=freeplane

Then you can use Freeplane as the default program for .mm

ganymede commented on 2010-09-11 09:40

To install version 1.1.2, you just have to change 2 lines in the PKGBUILD :
-pkgver=1.1.1
+pkgver=1.1.2
-md5sums=('7448313fd08c44646868a00648aeee89'
+md5sums=('576b2e981c2d6bc27ea866f19aa15ad7'